# Approved `type` Values for Memory Hub Metadata
**ticket_id:** metadata-types-list  
**app_id:** global  
**project_id:** workflow

## Predefined `type` Values

Choose from the PREDEFINED LIST below. If you believe a new `type` is genuinely needed for a novel kind of information, please propose it to the User for approval before using it. Your goal is to categorize information consistently.

- `SCOPE_OVERVIEW`: High-level description of a project/ticket.
- `PLAN_STEP`: A specific action item or step in a plan.
- `TECHNICAL_DECISION`: A record of a specific technical choice made.
- `USER_REQUIREMENT`: A functional or non-functional requirement.
- `CORE_REQUIREMENT`: A fundamental project or app-level constraint/principle.
- `PROJECT_STATUS`: An update on the status of a ticket or project.
- `CODE_CONVENTION`: Coding standards or style guidelines.
- `ARCHITECTURAL_PRINCIPLE`: High-level design principles for an app/project.
- `API_USAGE_NOTE`: Specific details or patterns for using an API.
- `LESSON_LEARNED`: Insights gained from a problem, success, or failure.
- `IMPLEMENTATION_DETAIL`: Specifics about how something was implemented.
- `ERROR_RESOLUTION`: Details about a bug and its fix.
- `WORKFLOW_RULE`: Guidelines for agent-User collaboration or general processes.
- `TOOL_USAGE_GUIDELINE`: Instructions on how to use specific tools (like Context7, Perplexity).
- `INITIAL_SCOPE_DOCUMENT`: For large initial context dumps.
- `MEETING_NOTES`: Summaries or key takeaways from discussions.
- `DEBUG_LOG_ANALYSIS`: Findings from analyzing logs. 